package edu.memphis.sdf;

import java.util.List;

public class MyMain {

	public static void main(String[] args) {
		Sale mySale = new Sale();
		
		ITaxCalculatorAdapter taxCalculator = getMeATaxCalculator();
		
		// Now use the calculator...
		List<TaxLineItems> taxItems = taxCalculator.getTaxes(mySale);
	}
	
	protected static ITaxCalculatorAdapter getMeATaxCalculator() {
		// Some code that returns the appropriate tax calculator
		// return new TaxMasterAdapter();
		return new GoodAsGoldTaxProAdapter();
	}

}
